// © 2023 John Breaux
//! A bare-bones toy assembler for the TI MSP430, for use in MicroCorruption
pub mod preamble {
    //! Common imports for msp430-asm
    use super::*;
    pub use error::Error;
    pub use hash::{FromHash, Hash};
    pub use linker::{Linker, Visitor};
    pub use parser::Parser;
    pub use lexer::{
        context::Context,
        token::{Token, Type},
        token_stream::TokenStream,
        Tokenizer,
    };
}

use preamble::*;
pub mod error;
pub mod hash;
pub mod linker;
pub mod parser;
pub mod lexer;
